--- old/usr/src/uts/intel/sys/controlregs.h	Wed Feb 28 17:34:25 2018
+++ new/usr/src/uts/intel/sys/controlregs.h	Wed Feb 28 17:34:25 2018
@@ -21,6 +21,8 @@
 /*
  * Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2015, Joyent, Inc.
+ *
+ * Copyright 2018 Joyent, Inc.
  */
 
 #ifndef	_SYS_CONTROLREGS_H
@@ -108,12 +110,13 @@
 					/* 0x1000 reserved */
 #define	CR4_VMXE	0x2000
 #define	CR4_SMXE	0x4000
+#define	CR4_PCIDE	0x20000		/* PCID enable */
 #define	CR4_OSXSAVE	0x40000		/* OS xsave/xrestore support	*/
 #define	CR4_SMEP	0x100000	/* NX for user pages in kernel */
 #define	CR4_SMAP	0x200000	/* kernel can't access user pages */
 
 #define	FMT_CR4						\
-	"\20\26smap\25smep\23osxsav"			\
+	"\20\26smap\25smep\23osxsav\22pcide"		\
 	"\17smxe\16vmxe\13xmme\12fxsr\11pce\10pge"	\
 	"\7mce\6pae\5pse\4de\3tsd\2pvi\1vme"
 
